"beadAnalysis" <-
function(datafile=NULL,
		qcdatafile=NULL,
		version, 
		qc="ArrayQuality.txt",
		output="png",
		normalise="Quantile",
		bkd="Offset",
		offset=NULL,
		outputhtml=TRUE, 
		open=TRUE, 
		manifest="",
		outputsamples=TRUE,
		outputarrays=TRUE,
		outputresults=TRUE,
		return="Normalised",
		widget=TRUE){


if(widget){
        entrywidget<-function(){
           PWEnv <- new.env(hash = TRUE, parent = parent.frame(1))

           wkdirlabel <- label(wName = "wkdirlabel", wValue = paste("Working Directory:",getwd()), wEnv = PWEnv)  


	   versionlabel<- label(wName = "versionlabel", wValue = "BeadStudio version: ", wEnv = PWEnv)
	   versionradios <- radioButton(wName = "versionradios", wValue = c(One = TRUE, Two = FALSE), wEnv = PWEnv)

           databrowse <- function() {
                tempValue<-fileBrowser(textToShow="Choose Illumina Results File")
                if (length (tempValue)>1){ 
                     annotation<-paste ("Combined data_", gsub ("_gene_profile.csv|Sample|_Profile.csv|_Sample|Gene", "" , basename(tempValue[1])),"&other files",sep="")
	    qcfile<-gsub("_gene_profile.csv", "_qcinfo.csv",tempValue)
                      }
                 else {
                   annotation<-gsub ("_gene_profile.csv|Sample|_Profile.csv|_Sample|Gene", "", basename (tempValue[1]))
                   qcfile<-gsub("_gene_profile.csv", "_qcinfo.csv",tempValue[1])
                   }

                temp <- get(wName(dataentry), env = PWEnv)
		wValue(temp) <- paste(tempValue,collapse=",")
                assign(wName(dataentry), temp, env = PWEnv)

                temp2 <- get(wName(analysisentry), env = PWEnv)
                wValue(temp2) <- paste(annotation)
                assign(wName(analysisentry), temp2, env = PWEnv)

		temp3 <- get(wName(qcentry), env = PWEnv)
                wValue(temp3) <- paste(qcfile,collapse=",")
                assign(wName(qcentry), temp3, env = PWEnv)
		 
                }

           datalabel <- label(wName = "datalabel", wValue = " Data File Name: ", wEnv = PWEnv)
           dataentry <- entryBox(wName = "dataentry", wValue = "Enter _gene_profile.csv file(s)", wEnv = PWEnv)
           databutton <- button(wName = "databutton", wValue = "Browse", wFuns = list(command = databrowse), wEnv = PWEnv)

           qcbrowse <- function() {
                tempValue<-fileBrowser (textToShow="Choose Illumina QC File")
                temp <- get(wName(qcentry), env = PWEnv)
                wValue(temp) <- paste(tempValue,collapse=",")
                assign(wName(qcentry), temp, env = PWEnv)
                }

           qclabel <- label(wName = "qclabel", wValue = "QC File Name: ", wEnv = PWEnv)
           qcentry <- entryBox(wName = "qcentry", wValue = "Enter QC files(s)-ensure correct version of BeadStudio", wEnv = PWEnv)
           qcbutton <- button(wName = "qcbutton", wValue = "Browse", wFuns = list(command = qcbrowse), wEnv = PWEnv)

           logbrowse <- function() {
                tempValue<-fileBrowser (textToShow="Choose log File")
                temp <- get(wName(logentry), env = PWEnv)
                wValue(temp) <- tempValue
                assign(wName(logentry), temp, env = PWEnv)
                }

           loglabel <- label(wName = "loglabel", wValue = "QC Log File Name: ", wEnv = PWEnv)
           logentry <- entryBox(wName = "logentry", wValue = paste(getwd(),"ArrayQuality.txt",sep="/"), wEnv = PWEnv)
           logbutton <- button(wName = "logbutton", wValue = "Browse", wFuns = list(command = logbrowse), wEnv = PWEnv)

           analysislabel <- label(wName = "analysislabel", wValue = "Analysis Name: ", wEnv = PWEnv)
           analysisentry <- entryBox(wName = "analysisentry", wValue = "Enter Analysis Name", wEnv = PWEnv)

           bkdlabel<- label(wName = "bkdlabel", wValue = "Background adjustment:", wEnv = PWEnv)
           bkdradios <- radioButton(wName = "bkdradios", wValue = c(Offset = TRUE, Floor = FALSE), wEnv = PWEnv)
           bkdentry<-entryBox(wName = "bkdentry", wValue = "", wWidth=4,wHeight=1,wEnv = PWEnv)

           normlabel <- label(wName = "normlabel", wValue = "Select Normalisation Method: ", wEnv = PWEnv)
           normradios <- radioButton(wName = "normradios", wValue = c(Quantile = TRUE, RobustQuantile = FALSE, Qspline = FALSE, None=FALSE), wEnv = PWEnv)

           outtypelabel <- label(wName = "outtypelabel", wValue = "Select output type: ", wEnv = PWEnv)
           outtyperadios <- radioButton(wName = "outtyperadios", wValue = c(png = TRUE, jpeg = FALSE, bmp = FALSE), wEnv = PWEnv)

           returnlabel<- label(wName = "returnlabel", wValue = "Return Data: ", wEnv = PWEnv)
           returnradios <- radioButton(wName = "returnradios", wValue = c(Raw = FALSE, Normalised = TRUE, none = FALSE), wEnv = PWEnv)

           annotbrowse <- function() {
                tempValue<-fileBrowser (textToShow="Choose Illumina Manifest File")
                temp <- get(wName(annotentry), env = PWEnv)
                wValue(temp) <- tempValue
                assign(wName(annotentry), temp, env = PWEnv)
                }

           annotlabel <- label(wName = "annotlabel", wValue = "Manifest File Name (optional): ", wEnv = PWEnv)
           annotentry <- entryBox(wName = "annotentry", wValue = "", wEnv = PWEnv)
           annotbutton <- button(wName = "annotbutton", wValue = "Browse", wFuns = list(command = annotbrowse), wEnv = PWEnv)

           outfilelabel <- label(wName = "outfilelabel", wValue = "Select output files: ",  wEnv = PWEnv)
           outfilechecks <- checkButton(wName = "outfilechecks", wValue = c(HTML = TRUE, Results= TRUE, Array  = TRUE, Sample  = TRUE), wEnv = PWEnv)

           pWidgets <- list(wkdirrow = list(wkdirlabel = wkdirlabel), 
		versionrow = list(versionlabel = versionlabel, versionradios = versionradios),
		datarow = list(datalabel = datalabel, dataentry = dataentry, databutton = databutton), 
		qcrow = list(qclabel = qclabel, qcentry = qcentry, qcbutton = qcbutton), 
		logrow = list(loglabel = loglabel, 
		logentry = logentry, logbutton = logbutton), 
		analysisrow = list(analysislabel = analysislabel,analysisentry=analysisentry), 
		bkdrow=list(bkdlabel = bkdlabel, bkdentry = bkdentry, bkdradios = bkdradios), 
		normrow=list(normlabel=normlabel, normradios=normradios), 
		outtyperow=list(outtypelabel=outtypelabel, outtyperadios=outtyperadios),   
		returnrow=list(returnlabel=returnlabel, returnradios=returnradios), 
                annotrow=list(annotlabel = annotlabel, annotentry = annotentry, annotbutton = annotbutton), 
		outfilerow = list(outfilelabel = outfilelabel, outfilechecks = outfilechecks))

           aWidget <- widget(wTitle = "BeadExplorer Input", pWidgets, preFun=function(){}, postFun=function(){},funs = list(), env = PWEnv,defaultNames=c("OK","Cancel"))


           return(list(filetype= wValue(pWidgets(aWidget)[["datarow"]][["dataentry"]]),
               dataqcfiletype= wValue(pWidgets(aWidget)[["qcrow"]][["qcentry"]]),
               qcfiletype= wValue(pWidgets(aWidget)[["logrow"]][["logentry"]]),
	       versiontype= wValue(pWidgets(aWidget)[["versionrow"]][["versionradios"]]),
               analysistype= wValue(pWidgets(aWidget)[["analysisrow"]][["analysisentry"]]),
               bkd= wValue(pWidgets(aWidget)[["bkdrow"]][["bkdradios"]]),
               offset= wValue(pWidgets(aWidget)[["bkdrow"]][["bkdentry"]]),
               normalisetype= wValue(pWidgets(aWidget)[["normrow"]][["normradios"]]),
               outtype= wValue(pWidgets(aWidget)[["outtyperow"]][["outtyperadios"]]),
               returntype= wValue(pWidgets(aWidget)[["returnrow"]][["returnradios"]]),
               manifest= wValue(pWidgets(aWidget)[["annotrow"]][["annotentry"]]),
               graphtype= wValue(pWidgets(aWidget)[["outfilerow"]][["outfilechecks"]])))
         }

       d<-entrywidget()
       datafile<-as.vector(strsplit(d$filetype,",")[[1]])
       qcdatafile<-as.vector(strsplit(d$dataqcfiletype,",")[[1]])
       qc<-d$qcfiletype
       output<-names(d$outtype[d$outtype==TRUE])
       normalise<-  names(d$normalisetype[d$normalisetype==TRUE])
       bkd<-names(d$bkd[d$bkd==TRUE])
       manifest<-d$manifest
       if(d$offset==""){
           offset<-NULL
           }
       else{offset<-as.numeric(d$offset)}
       
       open<-TRUE
       return<-  names(d$returntype[d$returntype==TRUE])
       outputsamples<-d$graphtype["Sample"]
       outputarrays<-d$graphtype["Array"]
       outputresults<-d$graphtype["Results"]
       outputhtml<-d$graphtype["HTML"]
       analysis<-d$analysistype
       version<-names(d$versiontype[d$versiontype==TRUE])
       }

      if (datafile[1]=="Enter _gene_profile.csv file(s)"){
        data(examplebeadData)

        data<-examplebeadData
         }
      else {
	if (version == "One"){data<-readBead(datafile,version="One")}
	if (version == "Two"){data<-readBead(datafile,version="Two")}
         }

      if (widget) {data@annotation<-analysis}
      ndata<-normalise (data, method=normalise,offset=offset,bkd=bkd)

      if (qcdatafile[1]=="Enter QC files(s)-ensure correct version of BeadStudio"){
        data (examplebeadQC)
       ndataqc<-examplebeadQC
         }
      else {
	if (version == "One"){ndataqc<-getQC(data,qcdatafile)}
	if (version == "Two"){ndataqc<-getQC2(data,qcdatafile)}
	}

      writeQC (ndata,ndataqc)
      qc<-readQC (qc)
      samplefilepath<-NULL
      arrayfilepath<-NULL
      resultsfilepath<-NULL
      if (outputresults){
         if  (manifest !=""){
            datacomb<-cbind(exprs(ndata), detExprs(ndata))
            manifestdataframe<-readManifest(manifest)
            q<-addManifest(datacomb, manifestdataframe)
            write.table(q, file=paste(annotation(ndata),sep="_","results.txt"),sep="\t",row.names=TRUE,col.names=NA,quote=FALSE)
            resultsfilepath<-paste(annotation(ndata),sep="_","results.txt")
            }
         else {
            resultsfilepath<-write.beadData (ndata)
            }
         }
      if(outputsamples) samplefilepath<-plotSamples (data,ndata,ndataqc, savegraph=output)
      if (outputarrays) arrayfilepath<-dotplotArrays (ndata,ndataqc,qc, savegraph=output)

      #boxplotArrays (ndata,ndataqc, qc, savegraph=output)
	
      if (outputhtml){ htmlfile<-htmloutput (data, ndata,ndataqc,resultsfilepath=resultsfilepath, samplefilepath=samplefilepath,arrayfilepath=arrayfilepath)
	cat(paste("HTML report written to:", htmlfile, "\n"))}
      if (outputhtml && open)  browseURL(paste(getwd(), "/",htmlfile,sep=""))
      if (return=="Normalised") return (ndata)
      if (return=="Raw") return (data)

   }

