"boxplotArrays" <-
function(
		beadData,
		beadQC,
		qc,
		extension="_boxplot",
		savegraph=NULL,
		width=1200,
		height=800,
		verbose=TRUE,...){

     if (!is.null(savegraph)){
	 if(savegraph=="png") png (paste (annotation(beadQC), extension, ".png",sep=""), width, height)
	 else if(savegraph=="jpeg") jpeg (paste (annotation(beadQC), extension, ".jpeg",sep=""), width, height)
	 else if(savegraph=="bmp") bmp (paste (annotation(beadQC), extension, ".bmp",sep=""), width, height)
	 else {stop("Unrecognised file format")}
	}


      par (oma=c(0,0,2,0), mar=c(2,4,2,2))
      layout(matrix(c(rep(1:4,each=4)), 16, 1, byrow = TRUE))
      
     
      boxplotQC(beadData,beadQC,qc, subset=c("Detection95mean","Detection95SD","Detection99mean",
			"Detection99SD","BeadSDmean","Background"),...)	

     title(paste("Array Quality Plots for",annotation(beadQC), "-",getArrayStats(beadData,beadQC)[4]),outer=TRUE)
      boxplotQC(beadData,beadQC, qc, subset=c("SignalMean","Background","AllGenes"),...)
     
      boxplotQC(beadData,beadQC, oqc, subset=c("SignalSD","HybLow","MM"),...)
     	
      par(mar=c(2,4,2,2))
      boxplotQC(beadData,beadQC, qc, subset=c("HybHigh","HybMed","Biotin","HighStringency","Housekeeping","PM"),...)

            
      if (!is.null(savegraph))dev.off()
      if (verbose) cat(paste("Plotted box arrays...", "\n"))
   }

