"boxplotQC" <-
function (
		beadData,
		beadQC,
		qc, 
		subset, 
		col=NULL,
		currentcol="red",
		currentsym=21,
		currentsize=1.5,...){

      data<-as.matrix(qc[,subset])
      groups <- col (data, as.factor = TRUE)
      glabels <- colnames(data)

      
      if (is.null(col)) col<-rainbow(length(subset))
	else
      if (length(col)!=length(subset)){ 
	warning ("Number of colours does not equal number of subset, default used")
	col<-rainbow(length(subset))
	}

      ginch <- max(strwidth(glabels, "inch"), na.rm = TRUE)
      nmar <- par("mar")
      nmar[2] <- nmar[4] + ginch*10
      par(mar = nmar) 

      colnames (qc)<-gsub ("\\.", " ", colnames (qc))

      boxplot(qc[,subset],horizontal=T,col=col,las=1,...)

      points(getArrayStats(beadData,beadQC)[subset],1:length(subset),col=currentcol,pch=currentsym,cex=currentsize)
   }

