"dotplotQC" <-
function ( 
		beadData,
		beadQC, 
		qc,
		subset, 
		col=NULL, 
		currentcol="black",
		meansym=4, 
		arraysym=19, 
		currentsym=19,
		meansize=1.5,
		arraysize=1.5,
		currentsize=1.5,...) {
	
      type<-qc$ArrayContent
      if(is.null(col))col<-rainbow(length(levels(type)))
      if (length (levels (type)) != length (col)){
      col<-rainbow(length(levels(type)))
      warning ("Number of colours to dotplot does not equal the number of array types, default colours used")
      }
## check above if 1 sample
      levels (type)<-col
	        
      data<-data1<-as.matrix(qc[,subset])
       
      xlim <-c(min (min (data), min (as.numeric (getArrayStats(beadData,beadQC)[1,subset]))), 
	max (max (data), max (as.numeric (getArrayStats(beadData,beadQC)[1,subset]))))

      groups <- col (data, as.factor = TRUE)
      glabels<-colnames(data)
     
      plot.new ()
   
      ginch <- max (strwidth (glabels, "inch"), na.rm = TRUE)

      nmar <- par ("mar")
      nmar[2] <- nmar[4] + ginch*10
      par (mar = nmar)
    
      o <- sort.list (as.numeric (groups), decreasing = TRUE)
      data <- data[o]
      groups <- groups[o]
        
      y <- (as.numeric (groups))
      ylim <- range(0, y + 1)
    
      plot.window (xlim = xlim, ylim = ylim, log = "")
  
      abline (h = y, lty = "dotted")
      points (data, y, pch = arraysym, col = as.character(type), cex=arraysize,...)
      points (getArrayStats(beadData,beadQC)[subset], 1:length (subset), col=currentcol, cex=currentsize, pch=currentsym,...)
 	

      for (i in 1:length(subset)){
	  points (tapply (as.numeric(data1[,i]), as.factor (type), mean), rep (i, length (levels (as.factor (type)))),
	   	col=levels(type), pch=meansym, cex=meansize,...)
	  }
  
      for (i in 1:length (factor (groups))){
	   mtext (glabels[i], side = 2, line=1, at = i, adj = 1, las = 2, cex = 0.6)
	}
      axis (1)
      box ()
   }

