"extract" <-
function(filenames=NULL,match="AVG_Signal",verbose=TRUE){
      if (is.null(filenames)) filenames<-choose.files (caption="Choose Illumina Results File", filters=c("Illumina CSV file", "*.csv"))
      if (length (filenames)==0) stop ("No input file specified")
      if (length(grep("_gene_profile.csv", filenames))!=length(filenames)) stop ("file is not a gene_profile.csv file")
      data<-read.delim (filenames[1], skip=7, sep=",", row.names=1) 
      if (verbose) cat (paste ("Read ", filenames[1], "\n", sep=""))
      if (length (filenames)>1){ 
	   for(i in c(2:length (filenames))){
	     data<-cbind (data, read.delim (filenames[i], skip=7, sep=",", row.names=1))
	     cat (paste ("Read ", filenames[i], "\n", sep=""))
	     }
	   }
      names<-colnames (data)
      subset<-grep (match, names)
      if (length(subset)==0) stop ("No matches found")
      colnames (data)<-gsub (paste(match,".",sep=""), "", names)
      output<-data[,subset]
      return (output)
      }

