"getQC" <-
function (beadData, qcfile=NULL){
       
      if (is.null(qcfile)){
           qcfile<-gsub("_gene_profile.csv", "_qcinfo.csv", fileOrigin(beadData))
           }

      if (length(qcfile)!=length(fileOrigin(beadData))) stop ("beadData object was created using a different number of files")
     
      qc<-read.delim (qcfile[1], skip=7, sep=",")

      if (length (qcfile)>1){ ## used if mutiple files are submitted: results are combined
          for(i in c(2:length (qcfile))){
               qc<-rbind (qc, read.delim (gsub("_gene_profile.csv", "_qcinfo.csv",qcfile[i]), 
			skip=7, sep=","))
               }
       }   
    
#extract qc measures from file

      sampleqc1<-cbind ("HybContHigh"=qc$AVG.Signal.cy3_hyb_high, "HybContMed"=qc$AVG.Signal.cy3_hyb_med, 
	      "HybContLow"=qc$AVG.Signal.cy3_hyb_low, "Background"=qc$AVG.Signal.negative, 
		"Noise"=qc$AVG.SeqVAR.negative,"Biotin"=qc$AVG.Signal.biotin, "HighStringency"=qc$AVG.Signal.high_stringency_hyb,
		"Housekeeping"=qc$AVG.Signal.housekeeping, "AllGenes"=qc$AVG.Signal.gene, 
		"MM"=qc$AVG.Signal.low_stringency_hyb_mm2, "PM"=qc$AVG.Signal.low_stringency_hyb_pm)

      sampleqc<-data.frame (sampleqc1)
      rownames(sampleqc)<-sampleNames(beadData)

# collate qc measures/analysis parameters into a vector
      cat(paste("Generated qc data...", "\n"))

      return (new("beadQC", fileOrigin=qcfile, annotation=annotation(beadData), 
		sampleQC=sampleqc))
   }

