"getQC2" <-
function (beadData, qcfile){
       
      if (is.null(qcfile)){
           stop("No V2 QC file given")
           }

      if (length(qcfile)!=length(fileOrigin(beadData))) stop ("beadData object was created using a different number of files")
   

##read QC file
  
      qc<-read.delim (qcfile[1])


      if (length (qcfile)>1){ ## used if mutiple files are submitted: results are combined
          for(i in c(2:length (qcfile))){
               qc<-cbind (qc, read.delim (qcfile[i])) 
               }
       } 

##read control probe file  

     if (match("Human_WG-6",beadData@param$ArrayContent,nomatch=FALSE)==1){
	data(HumWG6)
	control<-HumWG6
	}
     if (match("Human_RefSeq-8",beadData@param$ArrayContent, nomatch=FALSE)==1){
	data(HumRef8)
	control<-HumRef8
	} 
     else (stop("This array type is not supported"))

#generate list of control intensty vectors

qcnames<-colnames(qc)
controlnames<-colnames(control)

sig<-grep("AVG_Signal", qcnames)

if(length(sig) !=length(colnames(exprs(beadData)))){stop (paste ("Number of samples in qc (", length(sig), ") 
	and data files (", length(colnames(exprs(beadData))), ") do not match"),sep="")}
qclist<-list()
		
for(i in 1:length(controlnames)){
	cn<-qc[match(na.omit(control[,controlnames[i]]),qc[,"ProbeID"]),sig]
	qclist[[i]]<-cn
	rownames(qclist[[i]])<-na.omit(control[,controlnames[i]])}


names(qclist)<-controlnames

#extract qc measures from file

      sampleqc1<-cbind ("HybContHigh"=mean(qclist[["HybHigh"]]), "HybContMed"=mean(qclist[["HybMed"]]), 
	      "HybContLow"=mean(qclist[["HybLow"]]), "Background"=mean(qclist[["BKD"]]), 
		"Noise"=sd(qclist[["BKD"]]),"Biotin"=mean(qclist[["Biotin"]]), 
		"HighStringency"=mean(qclist[["HS"]]),
		"Housekeeping"=mean(qclist[["Housekeeping"]]), "AllGenes"=mean(data.frame(exprs(beadData))), 
		"MM"=mean(qclist[["MM2"]]), "PM"=mean(qclist[["PM"]]))

      sampleqc<-data.frame (sampleqc1)
      rownames(sampleqc)<-sampleNames(beadData)

# collate qc measures/analysis parameters into a vector
      cat(paste("Generated qc (version 2) data...", "\n"))

      return (new("beadQC", fileOrigin=qcfile, annotation=annotation(beadData), 
		sampleQC=sampleqc))
   }

