"htmloutput" <-
function(
		rbeadData, 
		nbeadData, 
		beadQC, 
		arrayfilepath=NULL, 
		samplefilepath=NULL,
		resultsfilepath=NULL,
		bkdcol="MidnightBlue", 
		titlecol="Yellow", 
		textcol="Khaki", 
		linkcol="White", 
		headercol="White", 
		namecol="LightGreen", 
		linecol="Red") {

      file<-paste(annotation(nbeadData), ".html", sep="")

      hscalls<-detectionCalls(nbeadData, 0.99)
      lscalls<-detectionCalls(nbeadData, 0.95)
      signalmeans<-signalMeans(rbeadData)

      table<-cbind("Signal Means"=signalmeans, "0.95 calls"=round(lscalls,2), "0.99 calls"=round(hscalls,2), sampleQC(beadQC))

      cat(paste("<html><title>", annotation(nbeadData), "</title><body bgcolor=", bkdcol, "text=", textcol, "vlink=", linkcol , "link=", linkcol, ">"), file = file, append = FALSE)
      cat(paste("<p align=center><u><b><font size=6 color=", titlecol, ">Summary Report for ", annotation (nbeadData), "</font></u></b></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Files Analysed: ", "</font>", fileOrigin(nbeadData), "</font></u></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Analysis Name: ", "</font>", annotation(nbeadData), "</font></u></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Analysis Date/Time: ", "</font>", date(), "</font></u></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Array Type: ", "</font>", param(nbeadData)$ArrayContent, "</font></u></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Normalisation Method: ", "</font>", normMethod(nbeadData), "</font></u></p>", sep=""), file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 font color=", namecol, ">Normalised Data File: ", "</font><a href=", paste("\'",resultsfilepath,"\'>") ,resultsfilepath, "</a></font></u></p>", sep=""), file=file, append=TRUE)
      cat ("<hr color=", linecol, "></hr>", file=file, append=TRUE)
      HTML(table, file=file, append=TRUE)
      cat ("<hr color=", linecol, "></hr>", file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 color=", headercol, ">Sample Control Plot </font></u></p>", sep=""), file=file, append=TRUE)
      #image
      cat(paste("<p align=center ><a href=", paste("\'",samplefilepath,"\'>",sep=""), " <img  border=0 src=\'", samplefilepath,  "\' width=424 height=283></a></p>",sep=""), file=file, append=TRUE)
      #link
      cat(paste("<p align=center><i><font size=2><a href=", paste("\'",samplefilepath,"\'>",sep="") , samplefilepath,"</a></font></i></p>",sep=""),file=file,append=TRUE)
      cat ("<hr color=", linecol, "></hr>", file=file, append=TRUE)
      cat(paste("<p align=center><font size=4 color=", headercol, ">Array Control Plot </font></u></p>", sep=""), file=file, append=TRUE)
      #image
      cat(paste("<p align=center ><a href=", paste("\'",arrayfilepath,"\'>",sep="") ,"<img  border=0 src=\'", arrayfilepath, "\' width=424 height=283></a></p>",sep=""), file=file, append=TRUE)
      #link
      cat(paste("<p align=center><i><font size=2><a href=", paste("\'",arrayfilepath,"\'>",sep=""), arrayfilepath,"</a></font></i></p>",sep=""),file=file,append=TRUE)
     return (file)
      }

