"multiDensity" <-
function (data, 
		xlab="", 
		ylab="",
		main="",
		log=TRUE,
		legend=TRUE, 
		col=rainbow(ncol(data)), 
		position="topright",
		xlim=c(min(ox),max(ox)),
		ylim=c(min(oy),max(oy)),...){
      
     if (log){
         
         data<-log2(data)
         }
     ox<-density(data[,1])$x
     oy<-density(data[,1])$y
  
     if (ncol(data)>1){
        for(i in 2:ncol(data)){
            o<-density(data[,i])
            ox<-cbind(ox,o$x)
            oy<-cbind(oy,o$y)
            }
        }
        plot(ox[,1],oy[,1], type="l", xlab=xlab, ylab=ylab, main=main, col=col[1],xlim=xlim,ylim=ylim ,...)
        abline(h=0,col="lightgray")
        if (ncol(data)>1){
        for(i in 2:ncol(data)){
            points(ox[,i],oy[,i],type="l",col=col[i])
            }
        }
      if(legend) legend(x=position, legend=colnames(data), fill=col)
   }

