"normalise" <-
function (beadData, 
		bkd="Offset", 
		offset=NULL ,
		method="Quantile", 
		verbose=TRUE, ...){

      min<-""
      if (bkd=="Floor"){ 
	   exprs(beadData)[exprs(beadData)<0.1]<-0.1
	   rd<-exprs(beadData)
                      offset<-"NA"
	   }
      if (bkd=="Offset"){ 
          if(is.null(offset)){
               offset<-abs(min(exprs(beadData)))
                min<-"(min)"
                }
          rd<-exprs(beadData)+ offset 
          rd[rd<0.1]<-0.1
          }

      ld<-log2 (rd)
      if (method=="Quantile") {q<-normalize.quantiles (as.matrix (ld), ...)}
      else if (method=="Qspline") {q<-normalize.qspline (as.matrix (ld), verbose=FALSE, na.rm=TRUE, ...)}
      else if (method=="RobustQuantile"){
	   q<-normalize.quantiles.robust (as.matrix(rd), ...)
	   q<-log2(q)
	   }
      else if (method=="None"){
	   q<-ld
	   }
        else(stop("Normalisation method not valid"))
       
         q<-data.frame (q)
         colnames (q)<-colnames (exprs(beadData))
         rownames (q)<-rownames (exprs(beadData))
         cat(paste("Normalised data...", "\n"))
	 normbeadData<-new("beadData", fileOrigin=beadData@fileOrigin,param=beadData@param, detExprs=beadData@detExprs,
	 annotation=beadData@annotation,se.exprs=beadData@se.exprs,phenoData=beadData@phenoData,
	 normMethod=paste(method, ": bkd= ", bkd, ", offset= ", offset, min,sep=""), exprs=(2^(as.matrix(q))))
         return (normbeadData)
      }

