"pc" <-
function (data, 
	xpca=1, 
	ypca=2, 
	col=NULL, 
	verbose=FALSE, 
	labels=colnames(data), 
	pos=2,
	offset=0.5,
	cex.text=0.8,...){
      if (is.null(col)) col<-rainbow(ncol(data))
	else{
	   if (length(col)!=ncol(data)){
		 col<-rainbow(ncol(data))
		 warning ("Number of colours submitted to PCA does not equal number of samples, default used")
	         }
	    }
      pr<-princomp (data)
      var<-as.vector(pr$sdev)^2
      totalvar<-sum(var)
      prop<-round((var/totalvar)*100,2)
      plot ( pr$loadings[,xpca], pr$loadings[,ypca], xlab=paste("Principal Component ", xpca, ": ", prop[xpca], "%", sep=""), 
	ylab=paste("Principal Component ",ypca, ": ", prop[ypca], "%", sep=""), col=col,...)
      text(pr$loadings[,xpca], pr$loadings[,ypca], labels=labels, pos=pos, offset=offset,cex=cex.text)
	if (verbose) return (summary(pr))
   }

