"readBead" <-
function (filenames=NULL, annotation="", verbose=TRUE,version="Two"){ 
      if (is.null(filenames)) filenames<-choose.files (caption="Choose Illumina Results File", filters=c("Illumina CSV file", "*.csv"))
     
      if (length (filenames)==0) stop ("No input file specified")
      if (length (filenames)>1){ ## used if mutiple files are submitted: results are combined
      if (annotation=="") annotation<-paste ("Combined data:", gsub ("_gene_profile.csv", "" , 
		basename(filenames[1])),"&other files",sep="")
      }
      
   #   if (length(grep("_gene_profile.csv", filenames))!=length(filenames)) warning ("question if file is a gene_profile.csv file???")
      
      else{
	  if (annotation=="") annotation<-gsub ("_gene_profile.csv", "", basename (filenames[1]))
	  }

     # annotation<-gsub("[\[\^\$\\.\|\?\*\+\(\):]","_", annotation)	#does not check for '\' character??
      
      if (verbose) cat (paste ("Read ", filenames[1], "\n", sep=""))
      
# extract various analysis paramters: perhaps could be improved : i.e. read from original file and not scan again

      param<-scan (filenames[1], nlines=5, what=character(0), sep="\n", strip.white=TRUE, quiet=TRUE)
      param<-param2<-gsub ("(Illumina Inc. BeadStudio version |Normalization = |Array Content = |Error Model = |
				DateTime = |.xml)", "", param)
      param<-gsub(",","",param)
      names(param)<-c("BeadStudioVersion", "Normalization", "ArrayContent", "ErrorModel", "DateTime")


      if (length (filenames)>1){ ## used if mutiple files are submitted: results are combined
	   for(i in c(2:length (filenames))){
  	     param1<-scan (filenames[i], nlines=5, what=character(0), sep="\n", strip.white=TRUE, quiet=TRUE)
	     param2<-rbind (param2, gsub ("(Illumina Inc. BeadStudio version |Normalization = |Array Content = |Error Model = |
				DateTime = |.xml)", "", param1))
	     }
	     if (length(levels(as.factor(param2[,1])))!=1) warning ("Input files were created with different versions of BeadStudio")
	     if (length(levels(as.factor(param2[,2])))!=1) warning ("Input files were created with different normalisation options")
	     if (length(levels(as.factor(param2[,3])))!=1) stop ("Input files were created with different array types")
	     if (length(levels(as.factor(param2[,4])))!=1) warning ("Input files were created with different error models")
	   }

	if (version=="One"){data<-read.delim (filenames[1], skip=7, sep=",", row.names=1)}
	if (version=="Two"){data<-read.delim (filenames[1], skip=7, row.names=1)}
		else {stop ("Cannot identify version number")}

	if (length (filenames)>1){ 
	   for(i in c(2:length (filenames))){
	     if (version=="One") {data<-cbind (data, read.delim (filenames[i], skip=7, sep=",", row.names=1))}
	     if (version=="Two") {data<-cbind (data, read.delim (filenames[i], skip=7, row.names=1))}
	     if (verbose)cat (paste ("Read ", filenames[i], "\n", sep=""))
	     }
	   }	
       
      names<-colnames (data)
      signal<-grep ("AVG_Signal", names)
      confid<-grep ("Detection", names)
      sd<-grep ("BEAD_STDEV",names)

      
      colnames (data)<-gsub ("(AVG_Signal.|BEAD_STDEV.)", "", names)
      signal<-data[,signal]
      confscores<-data[,confid]
      sdscores<-data[,sd]


#phenoData<-new("phenoData",pData=data.frame(row.names=colnames(signal),Default=rep("no data",length(colnames(signal)))),
#	varLabels=list("Default"))


phenoData<-read.phenoData(sampleNames=colnames(signal),widget=FALSE)

      
      return (new("beadData", fileOrigin=filenames, annotation=annotation, param=as.list(param), 
  	  exprs=as.matrix(signal), detExprs=as.matrix(confscores), se.exprs=as.matrix(sdscores), phenoData=phenoData))
   }

