\name{addManifest}
\alias{addManifest}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Add annotation data}
\description{
  Adds gene annotation data to a matrix of expression values.
}
\usage{
addManifest(data, manifest, verbose = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{ Object of class \code{\link{matrix}}}
  \item{manifest}{ A data.frame of manifest annotation data, as produced by \code{\link{readManifest}}}
  \item{verbose}{ Logical, indicating whether to output confirmation }
}
\details{
  This function adds annotation information to a matrix of expression data, for example as derived from the 
exprs slot of a \code{\link{beadData-class}} object.  The function uses the "Target" column of the manifest \code{\link{data.frame}} 
to merge the annotation data with \code{\link{row.names}} of the expression matrix.  
}
\value{
  A \code{\link{data.frame}} of expression intensities with annotation data
}
\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\examples{
\dontrun{
data (examplebeadData)
expdata<-exprs (examplebeadData)
man<-readManifest ("d:\\Bead_Set_Manifest\\Human_WG-6.csv")
expannot<-addManifest(expData, man)


}
}
\keyword{ methods}

