\name{beadAnalysis}
\alias{beadAnalysis}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Automated Bead Analysis}
\description{
 A function to easily automate standard qc and normalisation analyses of BeadStudio output data
}
\usage{
beadAnalysis(datafile = NULL, qcdatafile = NULL, version, qc = "ArrayQuality.txt", output = "png", normalise = "Quantile", 
bkd="Offset", offset=NULL, outputhtml = TRUE, open = TRUE, manifest="", outputsamples = TRUE, 
outputarrays = TRUE, outputresults = TRUE, return = "Normalised", widget = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{datafile}{ A character vector of a filepath(s) of Illumina BeadStudio 'gene profile.csv' output files }
  \item{qcdatafile}{A character vector of a filepath(s) of Illumina BeadStudio "qcinfo.csv" output files }
  \item{version}{A character vector, either "one or "two" indicating the version of BeadStduio used to create the QC data file }
  \item{qc}{A character of the path to a log file of previously analysed data, as created by Bead Explorer }
  \item{output}{ A character specifying output types for graphs.  Options are "png", "bmp", "jpeg" }
  \item{normalise}{A character specifying a normalisation option.  Options are "Quantile", "Qspline", "RobustQuantile"}
  \item{bkd}{A character spcificying the background adjustment method.  Options are "Offset" or "Base"}
  \item{offset}{A numeric specifiying the offset value to add}
  \item{outputhtml}{ A logical specifying whether a html report should be produced }
  \item{open}{A logical specifying whether the html report should be opened}
  \item{manifest}{Character specifying the path of the Illumina manifest .csv file to use.  Adds annotation information to the output results file}
  \item{outputsamples}{ A logical specifying whether a sample QC graph should be produced}
  \item{outputarrays}{ A logical specifying whether an array QC graph should be produced }
  \item{outputresults}{ A logical specifying whether a normalised results file should be produced }
  \item{return}{ A character specifying a return option.  Options are "Raw", "Normalised", "None"}
  \item{widget}{ A logical specifying whether a widget should be used for input }
}
\details{
 This is a wrapper function that automates the analysis of BeadStudio output files.  Note that the input data can be created using version one or 
version two of BeadStudio - this must be specified.  See vignette for details of widget.
All output files will be placed in the current working directory.  By submitting multiple separate files, the data will be combined
into one analysis.  Use default values to run a human example data set.
}
\value{
  The return value is determined by the return argument: 'Normalised' returns a normalised \code{\link{beadData-class}} object, 
'Raw' - an unnormalised \code{\link{beadData-class}} object, 'None' - NULL
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}
\seealso{\code{\link{normalise}}, \code{\link{dotplotArrays}},  \code{\link{plotSamples}}, \code{\link{help}}}

\examples{
\dontrun{
data<-beadAnalysis()
}
}
\keyword{methods}

