\name{Accessors}
\alias{detExprs}
\alias{fileOrigin}
\alias{nGenes}
\alias{normMethod}
\alias{nSamples}
\alias{param}
\alias{sampleQC}
\alias{signalMeans}
\title{ Accessor Methods for beadData class }

\usage{
detExprs(object)
fileOrigin(object)
nGenes(object)
normMethod(object)
nSamples(object)
param(object)
sampleQC(object)
signalMeans(object)
}

\description{
These functions return a number of parameters that are useful for quality control 
and for obtaining further infomration about the \code{\link{beadData-class}} object.

Briefly:

detExprs:  Returns a matrix of Illumina detection scores
fileOrigin:  Returns a file path(s) of the file(s) used to create the \code{\link{beadData-class}} object
nGenes:  Returns the number of genes in the \code{\link{beadData-class}} object
normMethod:  Returns the method used to normalise the \code{\link{beadData-class}} object
nSamples:  Returns the number of samples analysed
param:  Returns a list of analysis parameters
signalMeans:  Returns a vector of sample signal means


}
\seealso{\code{\link{beadData-class}}}  
\arguments{
  \item{object}{ the \code{\link{beadData-class}} object you want to access }
}

\author{ Gareth Elvidge }

\keyword{ misc }
