\name{beadData-class}
\docType{class}
\alias{beadData-class}
\alias{[,beadData-method}
\alias{boxplot,beadData-method}
\alias{detectionCalls,beadData-method}
\alias{detExprs,beadData-method}
\alias{fileOrigin,beadData-method}
\alias{nGenes,beadData-method}
\alias{normMethod,beadData-method}
\alias{nSamples,beadData-method}
\alias{pairs,beadData-method}
\alias{param,beadData-method}
\alias{plot,beadData,missing-method}
\alias{signalMeans,beadData-method}
\alias{summary,beadData-method}

\title{Class "beadData"  }
\description{A class to hold data information from a BeadChip experiment}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("beadData", ...)}.
}
\section{Slots}{
	 \describe{
    \item{\code{fileOrigin}:}{Object of class \code{"character"}: File paths of the data used to create the object }
    \item{\code{param}:}{Object of class \code{"list"}: Parameters extracted from the source files }
    \item{\code{normMethod}:}{Object of class \code{"character"}: The normalisation method applied to the object (if any) }
    \item{\code{detExprs}:}{Object of class \code{"matrix"}: BeadStudio detection scores }
    \item{\code{exprs}:}{Object of class \code{"exprMatrix"}: Unlogged intensity data }
    \item{\code{se.exprs}:}{Object of class \code{"exprMatrix"}: Standard errors of bead replicates  }
    \item{\code{description}:}{Object of class \code{"character OR MIAME"}  }
    \item{\code{annotation}:}{Object of class \code{"character"}: A name given to the analysis}
    \item{\code{notes}:}{Object of class \code{"character"}: Notes }
    \item{\code{reporterInfo}:}{Object of class \code{"data.frame Or NULL"}: reporter info}
    \item{\code{phenoData}:}{Object of class \code{"phenoData"}: Phenotype data}
  }
}
\section{Extends}{
Class \code{"exprSet"}, directly.
Class \code{"annotatedDataset"}, by class \code{"exprSet"}.
}
\section{Methods}{
  \describe{
    \item{[}{\code{signature(x = "beadData")}: subset for samples}
    \item{boxplot}{\code{signature(x = "beadData")}: boxplot of expression data}
    \item{detectionCalls}{\code{signature(object = "beadData")}: Obtain detection calls  }
    \item{detExprs}{\code{signature(object = "beadData")}: slot accessor method }
    \item{fileOrigin}{\code{signature(object = "beadData")}: slot accessor method }
    \item{nGenes}{\code{signature(object = "beadData")}: Number of transcripts }
    \item{normMethod}{\code{signature(object = "beadData")}: slot accessor method}
    \item{nSamples}{\code{signature(object = "beadData")}: Number of samples }
    \item{pairs}{\code{signature(x = "beadData")}: Plot pairwise intensity plots }
    \item{param}{\code{signature(object = "beadData")}: slot accessor method }
    \item{signalMeans}{\code{signature(object = "beadData")}: Obtain signal means }
    \item{summary}{\code{signature(object = "beadData")}: Obtain summary of the data }
	 }
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}
	
}
\examples{
data(examplebeadData)
nGenes(examplebeadData)
}
\keyword{classes}
