\name{boxplotArrays}
\alias{boxplotArrays}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Plot a series of QC boxplots }
\description{
  Plots a series of boxplots for a BeadChip QC data 
}
\usage{
boxplotArrays(beadData, beadQC, qc, extension = "_boxplot", savegraph = NULL, width = 1200, height = 800, verbose = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ Object of class \code{\link{beadData-class}}  }
  \item{beadQC}{ Object of class \code{\link{beadQC-class}} }
  \item{qc}{ \code{\link{data.frame}} created by \code{\link{readQC}} }
  \item{extension}{ Character to add to the output file name }
  \item{savegraph}{ Character to specify the output type ("png","bmp" or "jpeg")}
  \item{width}{ Width in pixels of graph output }
  \item{height}{ Height in pixels of graph output }
  \item{verbose}{ Logical, provides output commentary }
  \item{\dots}{ arguments passed to \code{\link{boxplot}} }
}
\details{
  A graph of a boxplot of QC measures is produced.  The function compares QC values for the current beadData and beadQC objects
to QC values from previous run analyses that have been stored in the log file (qc).  The function is similar to \code{\link{dotplotArrays}}
except that the data is plotted as a box plot rather than a dot plot.  This function is the choice where the number of previous analyses
in the log file is large.
}
\value{
  None
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{\code{\link{dotplotArrays}}, \code{\link{help}}}
\examples{

\dontrun{
data(examplebeadData)
data(examplebeadQC)
#attach(example.QC)
#boxplotArrays(example.beadData, example.beadQC, example.QC)
}
}
\keyword{ hplot }% at least one, from doc/KEYWORDS

