\name{dotplotArrays}
\alias{dotplotArrays}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Plots a series of dotplots for BeadChip QC data}
\description{
 Plots a series of dotplots for BeadChip QC data
}
\usage{
dotplotArrays(beadData, beadQC, qc, col = NULL, currentcol = "black", meansym = 4, arraysym = 19, currentsym = 19, 
meansize = 1.5, arraysize = 1.5, currentsize = 1.5,  savegraph = "png", extension = "_Arrays", width = 1200, height = 800, 
legend = TRUE, verbose = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ Object of class \code{\link{beadData-class}} }
  \item{beadQC}{ Object of class \code{\link{beadQC-class}} }
  \item{qc}{ \code{\link{data.frame}} generated by \code{link{readQC}} }
  \item{col}{A vector of colours used for each array type }
  \item{currentcol}{ Colour to use for the current array }
  \item{meansym}{ Symbol to use for the mean }
  \item{arraysym}{ Symbol to use to represent each array }
  \item{currentsym}{ Symbol to use to represent the current array }
  \item{meansize}{ Size to use for the mean symbol}
  \item{arraysize}{ Size to use for the array symbol}
  \item{currentsize}{Size to use for the current symbol}
  \item{savegraph}{ Character to specify the output type ("png","bmp" or "jpeg") }
  \item{extension}{ Character to add to the output file name  }
  \item{width}{ Width in pixels of graph output }
  \item{height}{ Height in pixels of graph output}
  \item{legend}{ Logical, indicating if a legend should be added }
  \item{verbose}{ Logical, indicating if commentray should be used }
  \item{\dots}{arguments passed to \code{\link{dotplotQC}} }
}
\details{
  A graph of a dotplot of QC measures is produced.  The function compares QC values for the current beadData and beadQC objects
to QC values from previous run analyses that have been stored in the log file (qc).  The function is similar to \code{\link{boxplotArrays}}
except that the data is plotted as a dot plot rather than a box plot.  This function is the choice where the number of previous analyses
in the log file is small.
}
\value{
 None
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{ \code{\link{boxplotArrays}}, \code{\link{help}} }
\examples{
\dontrun{
data(examplebeadData)
data(examplebeadQC)
data(exampleQC)
dotplotArrays(examplebeadData, examplebeadQC, exampleQC)
}
}
\keyword{ hplot }% at least one, from doc/KEYWORDS

