\name{dotplotQC}
\alias{dotplotQC}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Plot a subset of QC dotplots }
\description{
  Plots a series of dotplots for a BeadChip QC data 
}
\usage{
dotplotQC(beadData, beadQC, qc, subset, col = NULL, currentcol = "black", meansym = 4, arraysym = 19, currentsym = 19, 
meansize = 1.5, arraysize = 1.5, currentsize = 1.5, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ Object of class \code{\link{beadData-class}}  }
  \item{beadQC}{ Object of class \code{\link{beadQC-class}}  }
  \item{qc}{ \code{\link{data.frame}} created by \code{\link{readQC}}}
  \item{subset}{ A numerical vector, denoting the columns of QC to plot }
  \item{col}{ A vector of colours used to plot each array type }
  \item{currentcol}{ The colour used to identify the current analysis  }
  \item{meansym}{ The symbol used to identify the mean  }
  \item{arraysym}{ The symbol used to identify the each analysis }
  \item{currentsym}{The symbol used to identify the current analysis }
  \item{meansize}{ The size of the symbol used to identify the mean }
  \item{arraysize}{ The size of the symbol used to identify each analysis }
  \item{currentsize}{ The size of the symbol used to identify the current analysis }
  \item{\dots}{ Arguments passed to \code{\link{points}}}
}
\details{
  This function is primarily an internal function and should not need to be called by the user.  The function is used to plot each 
indivdual dotplot graph by \code{\link{dotplotArrays}}.
}
\value{
 None
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}
\seealso{\code{\link{dotplotArrays}}, \code{\link{boxplotArrays}},\code{\link{boxplotQC}}}
\examples{
\dontrun{
data(examplebeadData)
data(examplebeadQC)
data(exampleQC)
boxplotQC(examplebeadData, examplebeadQC, exampleQC,subset=c(1,4,3,2))
}
}
\keyword{hplot }% at least one, from doc/KEYWORDS

