\name{extract}
\alias{extract}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Extract columns from a BeadStudio file  }
\description{
  Extract columns from a BeadStudio 'gene profile.csv' file
}
\usage{
extract(filenames = NULL, match = "AVG_Signal", verbose = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{filenames}{ A character file path of a 'gene profile.csv' file}
  \item{match}{ A term to identify the columns to extract}
  \item{verbose}{ Logical, should a commentary be provided}
}
\details{
  This function extracts certain columns from the BeadStudio 'gene profile.csv' output file that contain 
the 'match' arguments in the column header. 
}
\value{
  A \code{\link{data.frame}} of extracted columns
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\examples{
\dontrun{
##Extract columns representing detection calls
#extract(match="Detection")

##Extract columns representing number of beads used to analyse each transcript
#extract(match="Avg_NBEADS")
}
}
\keyword{methods }% at least one, from doc/KEYWORDS

