\name{filterData}
\alias{filterData}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Filter data based on detection score }
\description{
  Removes transcripts from a beadData object that have detections threshold lower than a given value in all the samples
}
\usage{
filterData(beadData, det)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ An object of class \code{\link{beadData-class}}}
  \item{det}{ The detection threshold to use, value 0-1}
}
\details{
 Only transcripts that are not present in all the samples will be removed.  This avoids the problem of having transcript data for
some samples and not for others.
}
\value{
  A \code{\link{beadData-class}} object with low detetion score transcripts removed
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{ See Also as \code{\link{help}}}
\examples{
data(examplebeadData)
filterData(examplebeadData, 0.95)
}
\keyword{methods }% at least one, from doc/KEYWORDS

