\name{getAnnot}
\alias{getAnnot}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Get annotation information}
\description{
 Obtain annotation information for a given Illumina gene ID
}
\usage{
getAnnot(id, manifest, searchFields = c("Target"), returnFields = "all")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{id}{A character or vector corresponding to the Illumina gene ID(s) }
  \item{manifest}{ A \code{\link{data.frame}} of manifest data as produced by \code{\link{readManifest}} }
  \item{searchFields}{ The manifest column name to search for ID}
  \item{returnFields}{ The manifest column names to return, use "all" to return all columns }
}
\details{
   Obtain annotation information for a given Illumina gene ID(s)
}
\value{
A \code{\link{data.frame}} containing annotation information for a given gene ID(s).
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{  See Also as \code{\link{help}}, \code{\link{readManifest}}}
\examples{
\dontrun{
man<-readManifest("d:\\Bead_Set_Manifest\\Human_WG-6.csv")
getAnnot("GI_23097300-A", man)
getAnnot(c("GI_23097300-A", "GI_21070955-A", "GI_4505876-A"), man)

# search for the gene symbol "NDRG1" in the "Symbol" column of the manifest file
getAnnot("NDRG1", man, searchFields="Symbol")
}
}
\keyword{ methods}% at least one, from doc/KEYWORDS

