\name{getID}
\alias{getID}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Get expression data for a given gene ID }
\description{
  Obtain expression data for a given gene ID
}
\usage{
getID(id, beadData, sample, manifest, searchFields = c("Target"), returnFields = c("Symbol","Accession"))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{id}{ A character or vector corresponding to the Illumina gene ID(s) }
  \item{beadData}{Object of class \code{\link{beadData-class}} }
  \item{sample}{Numeric, sample number to return data}
  \item{manifest}{A \code{\link{data.frame}} of manifest data to use. For example, as produced by \code{\link{readManifest}}}
  \item{searchFields}{The manifest column name to search for ID }
  \item{returnFields}{ The manifest column names to return  }
}
\details{
  Obtain annotation information for a given Illumina gene ID
}
\value{
\code{\link{data.frame}} of experiment data for a given sample and gene ID(s)
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{ See Also as \code{\link{help}}, \code{\link{readManifest}} }
\examples{
\dontrun{
data(examplebeadData)
man<-readManifest("d:\\Bead_Set_Manifest\\Human_WG-6.csv")
getID("GI_23097300-A", examplebeadData, 2, man)
}
}
\keyword{methods }% at least one, from doc/KEYWORDS

