\name{multiDensity}
\alias{multiDensity}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Plot multiple density functions }
\description{
Plot multiple density functions on the same graph
}
\usage{
multiDensity(data, xlab = "", ylab = "", main = "", log = TRUE, legend = TRUE, col = rainbow(ncol(data)), 
position = "topright", xlim = c(min(ox), max(ox)), ylim = c(min(oy), max(oy)), ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{A matrix of values }
  \item{xlab}{ A character label for the x-axis }
  \item{ylab}{A character label for the y-axis }
  \item{main}{ A character label for the main title }
  \item{log}{ Logical, specifying if log axes should be used }
  \item{legend}{ Logical, specifying if a legend should be drawn }
  \item{col}{ A vector of colours used to draw each sample }
  \item{position}{Position of the legend , see \code{\link{legend}} }
  \item{xlim}{ A vector specifying the limits of the x-axis}
  \item{ylim}{  A vector specifying the limits of the y-axis }
  \item{\dots}{ Arguments passed to \code{\link{plot}} }
}
\details{
A density plot of each sample in the matrix is plotted on the same graph
}
\value{
None
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}
\note{
}
\seealso{ See Also as \code{\link{help}}}
\examples{
data(examplebeadData)
ndata<-normalise(examplebeadData)
multiDensity(exprs(ndata))
}
\keyword{hplot }% at least one, from doc/KEYWORDS

