\name{normalise}
\alias{normalise}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Normalise a beadData object }
\description{
Normalises a beadData object
}
\usage{
normalise(beadData, bkd = "Offset", offset = NULL, method = "Quantile", verbose = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ An object of class \code{\link{beadData-class}} }
  \item{bkd}{ The background adjustment method to use - "Offset" or "Floor" }
  \item{offset}{A number represent the offset constant to use for background adjustment}
  \item{method}{ The normalisation method to be used - "Quantile", "Qspline", "RobustQuantile" or "None" }
  \item{verbose}{Logical, specifying whether commentray shouls be outputted }
  \item{\dots}{Arguments passed to the normalisation function }
}
\details{
 Function to normalise a \code{\link{beadData-class}} object.  Negative values are removed by the background adjustment option.  
"Offset"  adds a constant to every intensity value - the default is to use the absolute smallest value on the array 
so that no negative numbers remain.  The effect of adding a constant is to reduce the variability at low expression levels. 
"Floor" sets all expression values less than 0.1 to 0.1.  This removes negative values but does not reduce the variability 
at low expression levels.  The normalisation options are from the affy package.  See the affy help pages for more information. 
To use normalised values from the BeadStudio output, select "None" for the normalisation.
}
\value{
A normalised \code{\link{beadData-class}} object
}
\references{affy help pages }
\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{ See Also as \code{\link{help}}}
\examples{
data(examplebeadData)
normdata<-normalise(examplebeadData, bkd="Offset", offset=70, method="Qspline")
}
\keyword{methods }% at least one, from doc/KEYWORDS

