\name{plotSamples}
\alias{plotSamples}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ QC sample plots }
\description{
 Produces QC plots for each sample on the array
}
\usage{
plotSamples(rbeadData, nbeadData, beadQC, savegraph = "png", width = 1200, height = 800, extension = "_Samples", 
col = NULL, annotation = TRUE, names = sampleNames(nbeadData), verbose = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{rbeadData}{ UnNormalised \code{\link{beadData-class}} object }
  \item{nbeadData}{ Normalised \code{\link{beadData-class}} object }
  \item{beadQC}{ \code{\link{beadQC-class}} object }
  \item{savegraph}{ Character specfiying output graph type: "png", "bmp", "jpeg" or NULL for graph in console }
  \item{width}{Width in pixels of output graph}
  \item{height}{ Width in height of output graph }
  \item{extension}{ Suffix to apply to analysis name to create the filename }
  \item{col}{ A vector of colours used to plot each sample in the \code{\link{beadData-class}}object, NULL uses default: rainbow}
  \item{annotation}{ Logcial, specifying whether annotation data should be added to the plots }
  \item{names}{Names used to represent each sample, default is sample names }
  \item{verbose}{ Logical,specifying if a commentary should be outputted }
  \item{\dots}{ Arguments passed to \code{\link{plot}}}
}
\details{
   Produces QC plots for each sample on the array.  Often where filenames are long, these can get cut-off by the plot.  
    In this case it is better to specify- names=1:6 (or greater if the number of samples is more).  See package description for more
 information.
}
\value{
Nothing
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\seealso{ See Also as \code{\link{help}}}
\examples{
data(examplebeadData)
data(examplebeadQC)
ndata<-normalise(examplebeadData)
plotSamples(examplebeadData, ndata, examplebeadQC)
}
\keyword{hplot }% at least one, from doc/KEYWORDS

