\name{scatterPlot}
\alias{scatterPlot}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Pairwise scattergraph of data }
\description{
  Plots a scattergraph of intensity data for two samples
}
\usage{
scatterPlot(beadData, xcol, ycol, manifest=NULL, equalline=TRUE, equallinecol="red", equallinetype=1, identify=TRUE, lines=2, 
linescol="green", linestype=2, log=TRUE, xlab="", ylab="", highlight=TRUE, detection=0.99, 
highlightcol=c("red","blue","green"), legend=TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ Object of class \code{\link{beadData-class}}}
  \item{xcol}{Numeric, column number to plot on x-axis }
  \item{ycol}{Numeric, column number to plot on y-axis}
  \item{manifest}{\code{\link{data.frame}} of manifest data - produced by \code{\link{readManifest}}}
  \item{equalline}{ Logcial, specifiying if an equality line should be plotted on the graph}
  \item{equallinecol}{Colour to be used for the equality line }
  \item{equallinetype}{ Line type used for an equality line, see \code{\link{par}} -lty }
  \item{identify}{ Logcial, specifiying if an interactive point and click plot identification tool should be used }
  \item{lines}{ Numeric, a vector of fold change lines to plot }
  \item{linescol}{Colour to be used for the fold change lines }
  \item{linestype}{ Line type to be used for the fold change lines , see \code{\link{par}}-lty}
  \item{log}{ Logcial, specifying if log2 axes should be used }
  \item{xlab}{ A label for the x-axis }
  \item{ylab}{ A label for the y-axis }
  \item{highlight}{ Logcial, specifying whether to highlight the points by detection score }
  \item{detection}{ The illumina cut-off detection score called as 'Present' }
  \item{highlightcol}{ A vector of colours to be used for present calls }
  \item{legend}{ Logical, specifying if a legend should be drawn }
  \item{\dots}{ Arguments passed to \code{\link{plot}} }
}
\details{
 This function produces a scattergraph of two samples.  Use identify to allow the clicking of data points with a 
 left-click of the mouse.  Finish selecting data points by right-clicking the mouse and 'stop'. Data (eg log2 intensity, ratio, detection scores)
 of the selected points is outputted to the console.  Using the manifest argument will also output gene annotation information of selected points.
}
\value{
If identify is used, information regarding the points selected by the mouse is returned
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

}
\seealso{pairs}
\examples{

data(examplebeadData)
scatterPlot(examplebeadData, 1,2)

#to include annotation data:-
#man<-readManifest("d:\\Bead_Set_Manifest\\Human_WG-6.csv")
#scatterPlot(examplebeadData, 1, 2, man)
}
\keyword{hplot }% at least one, from doc/KEYWORDS

