\name{writeQC}
\alias{writeQC}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Writes QC data to a log file}
\description{
  Writes QC data from a beadData and corresponding beadQC object to a log file
}
\usage{
writeQC(beadData, beadQC, file = "ArrayQuality.txt", verbose = TRUE, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{beadData}{ \code{\link{beadData-class}} object to write }
  \item{beadQC}{ corresponding \code{\link{beadQC-class}} object to write }
  \item{file}{Name of log file }
  \item{verbose}{ Logcial specifying if confirmation should be included }
  \item{\dots}{Arguments passed to \code{\link{write.table}}}
}
\details{
Only writes QC data if the the annotation slot (i.e. the analysis name) of the \code{\link{beadData-class}} object has not already 
been written to the log file.  If no log file can be found a new one is created.
}
\value{
A commentary of the data writing is provided if verbose.
}

\author{ Gareth Elvidge \email{gareth.elvidge@well.ox.ac.uk}}

\examples{
data(examplebeadData)
data(examplebeadQC)
writeQC(examplebeadData, examplebeadQC)
}
\keyword{methods }% at least one, from doc/KEYWORDS

